Bug 1000592 - Provide the user with an information message why 'build&deploy' failed.
Provide the user with an information message why 'build&deploy' failed.
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ER3
: 6.0.0
Assigned To: Maciej Swiderski
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 15:21 EDT by Marek Baluch
Modified: 2014-08-06 16:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
BRMS/BPMS 6.0.0.ER1
Last Closed: 2014-08-06 16:16:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
manstis: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Marek Baluch 2013-08-23 15:21:25 EDT
Description of problem:

When a user tries to 'build&deploy' a project he can see two messages:
1) build successfull
2) build failed.

If the second one occurs the user receives zero information why the build failed and therefor is left clueless what he did wrong.
Comment 1 manstis 2013-08-27 04:18:48 EDT
If the build failed the "Problems Panel" should be opened containing details of errors in the build. Can you confirm this?
Comment 2 Maciej Swiderski 2013-08-27 08:48:22 EDT
Mike, I'll take this and apply same approach for deployment to show info/error messages for deployments that are runtime specific - not maven artifact deployments.
Comment 3 Maciej Swiderski 2013-08-28 08:48:03 EDT
Deployment to runtime will now report errors on Problems Panel during build and deploy and in case of failure the build will display failure notification as well.

In addition Deployments panel of BPMS has been enhanced to include Problems Panel so when you manually deploy kjars failures will be reported there as well.

Guvnor commit:
https://github.com/droolsjbpm/guvnor/commit/98d61832abe900efb75cba5ea7497f63fe175573

jbpm console commit:
https://github.com/droolsjbpm/jbpm-console-ng/commit/0100de16430d56577ce70305bb1d2e708cca5aa4
Comment 4 Marek Baluch 2013-09-19 11:06:44 EDT
Verified on ER3.

When for e.g. the process contains validation issues these can be seen in the 'Problems View'. If for example the artifact id is not valid then a new dialog will inform about it.

Note You need to log in before you can comment on or make changes to this bug.